<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<h2> {{'parameters.management-entity.list.title' | translate}}</h2>

<ng-container *ngIf="guestManagementEntities.length == 0; else hasGuests">
  <div id="no-management-entity" class="management-entity-count">
    {{ "parameters.management-entity.list.no-guest-management-entity" | translate}}
  </div>
</ng-container>

<ng-template #hasGuests>
  <ng-container *ngIf="guestManagementEntities.length == possibleManagementEntities.length; else hasSomeGuests ">
    <div id="all-management-entities" class="management-entity-count">
      {{ "parameters.management-entity.list.all-management-entities-invited" | translate}}
    </div>
  </ng-container>
</ng-template>

<ng-template #hasSomeGuests>
  <div class="management-entity-count">
    {{'parameters.management-entity.list.count' | translate }}
    {{guestManagementEntities.length}}/{{possibleManagementEntities.length}}
  </div>
  <div fxLayout="row wrap">
    <div fxFlex="1 1 23rem" class="management-entity" *ngFor="let managementEntity of guestManagementEntities">
      {{managementEntity}}
    </div>
  </div>
</ng-template>


